#ifndef IMAGEOPERATIONBASE_H
#define IMAGEOPERATIONBASE_H

#include <QObject>
#include <QImage>

class ImageOperationBase : public QObject
{
    Q_OBJECT
public:
    explicit ImageOperationBase(QObject *parent = nullptr);    

    QImage *m_origin;
    QStack<QImage> *m_stackImage;
    bool isInterupt = false;
    QImage imageCopy(QImage *origin, QStack<QImage> *stackImage);
    bool getIsInterrupt();
    void interuptOp();
private:


signals:
    void finished();
public slots:
    virtual void ImageOP();
};

#endif // IMAGEOPERATIONBASE_H
